DSRW_WRITE_PACKETS(3)

FUNCTION
dsrw_write_packets - Write the binary representation of many data packets.

SYNOPSIS
#include <karma_dsrw.h>

flag dsrw_write_packets

(Channel channel, CONST packet_desc *descriptor, CONST char *source, unsigned long num_packets)

DESCRIPTION
This routine will write the binary representation many data packets to a channel object. The routine will recursively write out sub arrays and linked lists.

channel
    The channel object.

descriptor
    The descriptor for the packets.

source
    The packet data.

num_packets
    The number of packets to write.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/